# Module `routines`

Various routines

## Global(s)

Alive |
ChooseInfantry(TeleportPrefixTable, TeleportMax) |
EscortCarrier(CarrierGroup, EscortPrefix, EscortLastWayPoint, EscortEngagementDistanceMax, EscortTargetTypes) |
EscortCount |
EscortMissionName |
GetUnitHeight(CheckUnit) |
GroupAlive(groupName) |
LandCarrier(CarrierGroup, LandingZonePrefix) |
MessageToAll(MsgText, MsgTime, MsgName) |
MessageToBlue(MsgText, MsgTime, MsgName) |
MessageToUnit(UnitName, MsgText, MsgTime, MsgName) |
MusicRegister(SndRef, SndFile, SndTime) |
MusicReset(flg) |
MusicToPlayer(SndRef, PlayerName, SndContinue) |
PlaneActivate(groupNameFormat, flg) |
PlayerGroup |
SendMessageToCarrier(CarrierGroup, CarrierMessage) |
SpawnSettings |
SpawnedInfantry |
Su34AttackCarlVinson(groupName) |
Su34AttackNorth(groupName) |
Su34AttackWest(groupName) |
Su34Destroyed(groupName) |
Su34Hold(groupName) |
Su34IsDead() |
Su34Menu(groupName) |
Su34MenuPath |
Su34Menus |
Su34Orbit(groupName) |
Su34OverviewStatus() |
Su34RTB(groupName) |
Su34Status |
Su34TakeOff(groupName) |
TeleportPrefixTableCount |
TeleportPrefixTableIndex |
UpdateBoardMsg() |
_MusicTable |
boardMsgAll |
boardMsgRed |
getCarrierHeight(CarrierGroup) |
lookup_table |
routines |
spairs(t, order) |

## Global(s)

Alive

ChooseInfantry(TeleportPrefixTable, TeleportMax)

  ### Parameters

  - `TeleportPrefixTable` :

  - `TeleportMax` :

EscortCarrier(CarrierGroup, EscortPrefix, EscortLastWayPoint, EscortEngagementDistanceMax, EscortTargetTypes)

  ### Parameters

  - `CarrierGroup` :

  - `EscortPrefix` :

  - `EscortLastWayPoint` :

  - `EscortEngagementDistanceMax` :

  - `EscortTargetTypes` :

#number EscortCount

EscortMissionName

GetUnitHeight(CheckUnit)

  ### Parameter

  - `CheckUnit` :

GroupAlive(groupName)

  ### Parameter

  - `groupName` :

LandCarrier(CarrierGroup, LandingZonePrefix)

  ### Parameters

  - `CarrierGroup` :

  - `LandingZonePrefix` :

MessageToAll(MsgText, MsgTime, MsgName)

  ### Parameters

  - `MsgText` :

  - `MsgTime` :

  - `MsgName` :

MessageToBlue(MsgText, MsgTime, MsgName)

  ### Parameters

  - `MsgText` :

  - `MsgTime` :

  - `MsgName` :

MessageToUnit(UnitName, MsgText, MsgTime, MsgName)

  ### Parameters

  - `UnitName` :

  - `MsgText` :

  - `MsgTime` :

  - `MsgName` :

MusicRegister(SndRef, SndFile, SndTime)

  ### Parameters

  - `SndRef` :

  - `SndFile` :

  - `SndTime` :

MusicReset(flg)

  ### Parameter

  - `flg` :

MusicToPlayer(SndRef, PlayerName, SndContinue)

  ### Parameters

  - `SndRef` :

  - `PlayerName` :

  - `SndContinue` :

PlaneActivate(groupNameFormat, flg)

  ### Parameters

  - `groupNameFormat` :

  - `flg` :

PlayerGroup

SendMessageToCarrier(CarrierGroup, CarrierMessage)

  ### Parameters

  - `CarrierGroup` :

  - `CarrierMessage` :

SpawnSettings

#number SpawnedInfantry

Su34AttackCarlVinson(groupName)

  ### Parameter

  - `groupName` :

Su34AttackNorth(groupName)

  ### Parameter

  - `groupName` :

Su34AttackWest(groupName)

  ### Parameter

  - `groupName` :

Su34Destroyed(groupName)

  ### Parameter

  - `groupName` :

Su34Hold(groupName)

  ### Parameter

  - `groupName` :

Su34IsDead()

Su34Menu(groupName)

  ### Parameter

  - `groupName` :

Su34MenuPath

#number Su34Menus

Su34Orbit(groupName)

  ### Parameter

  - `groupName` :

Su34OverviewStatus()

Su34RTB(groupName)

  ### Parameter

  - `groupName` :

Su34Status

Su34TakeOff(groupName)

  ### Parameter

  - `groupName` :

TeleportPrefixTableCount

TeleportPrefixTableIndex

UpdateBoardMsg()

_MusicTable

boardMsgAll

boardMsgRed

getCarrierHeight(CarrierGroup)

  ### Parameter

  - `CarrierGroup` :

lookup_table

routines

spairs(t, order)

  ### Parameters

  - `t` :

  - `order` :

## Type `routines`

## Type `Time`